gnutls_x509_crq_sign2(3)

NAME
gnutls_x509_crq_sign2 - This function will sign a Certificate request with a key

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_sign2(gnutls_x509_crq_t crq, gnutls_x509_privkey_t key, gnutls_digest_algorithm_t dig, unsigned int flags);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

gnutls_x509_privkey_t key
    holds a private key

gnutls_digest_algorithm_t dig
    The message digest to use. GNUTLS_DIG_SHA1 is the safe choice unless you know what you're doing.

unsigned int flags
    must be 0

DESCRIPTION
This function will sign the certificate request with a private key. This must be the same key as the one used in gnutls_x509_crt_set_key() since a certificate request is self signed.

This must be the last step in a certificate request generation since all the previously set parameters are now signed.

Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.